Bug 27212 - Add column configuration to the acquisitions home page
Summary: Add column configuration to the acquisitions home page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 20.05
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords: Manual-updated
Depends on:
Blocks: 30938
  Show dependency treegraph
 
Reported: 2020-12-11 21:41 UTC by Barbara Johnson
Modified: 2022-06-10 17:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 27212: Add Table configuration to acqui-home.pl accounts table (2.67 KB, patch)
2020-12-15 00:26 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27212: Add Table configuration to acqui-home.pl accounts table (3.10 KB, patch)
2020-12-15 00:28 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27212: Add Table configuration to acqui-home.pl accounts table (3.16 KB, patch)
2020-12-15 16:49 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27212: Add Table configuration to acqui-home.pl accounts table (3.05 KB, patch)
2022-02-02 23:38 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27212: Add Table configuration to acqui-home.pl accounts table (3.11 KB, patch)
2022-02-17 21:42 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
Bug 27212: Add Table configuration to acqui-home.pl accounts table (3.17 KB, patch)
2022-03-27 13:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-12-11 21:41:53 UTC
It would be helpful to be able to hide columns from the accounts table when viewing available funds on acqui-home.pl  We're a single site library so we don't need the library column and we don't use the owner column.
Comment 1 Lucas Gass 2020-12-15 00:26:40 UTC
Created attachment 114401 [details] [review]
Bug 27212: Add Table configuration to acqui-home.pl accounts table
Comment 2 Lucas Gass 2020-12-15 00:28:27 UTC
Created attachment 114402 [details] [review]
Bug 27212: Add Table configuration to acqui-home.pl accounts table

To test, apply the patch and clear your browser cache

1. Go to acqui-home.pl
2. Test that the "Columns" button works to show and hide columns.
3. Go to Administration -> Table settings and look under the Acquisitions tab for the page 'acq_acqui-home' and the table 'accounts'.
4. Hide each column and make sure it hides correctly on acqui-home.pl
5. Test the export options (Excel, CSV, etc) and make sure hidden columns do not show up.
Comment 3 Lucas Gass 2020-12-15 00:33:03 UTC
There are probably some columns here that should not be able to be hidden and someone smarter than me can probably tell me which columns those are.
Comment 4 PTFS Europe Sandboxes 2020-12-15 16:49:28 UTC
Created attachment 114412 [details] [review]
Bug 27212: Add Table configuration to acqui-home.pl accounts table

To test, apply the patch and clear your browser cache

1. Go to acqui-home.pl
2. Test that the "Columns" button works to show and hide columns.
3. Go to Administration -> Table settings and look under the Acquisitions tab for the page 'acq_acqui-home' and the table 'accounts'.
4. Hide each column and make sure it hides correctly on acqui-home.pl
5. Test the export options (Excel, CSV, etc) and make sure hidden columns do not show up.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 5 Katrin Fischer 2021-01-17 17:56:14 UTC
Lucas, this patch does seem to make some unexpected changes:

1) We have 2 new columns Budget period description and Active (with 1 and 0) visible, that have been hidden before and only used for sorting and other table functionality etc.

2) The totals are no longer being calculated at all.

3) QA script fails:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/acqui-home.tt
   OK	  filters
   FAIL	  forbidden patterns
		forbidden pattern: tab char (line 208)
		forbidden pattern: tab char (line 209)
		forbidden pattern: tab char (line 210)
		forbidden pattern: tab char (line 211)
		forbidden pattern: tab char (line 212)
		forbidden pattern: tab char (line 213)
		forbidden pattern: tab char (line 214)
Comment 6 Lucas Gass 2022-02-02 23:38:15 UTC
Created attachment 130128 [details] [review]
Bug 27212: Add Table configuration to acqui-home.pl accounts table

To test, apply the patch and clear your browser cache

1. Go to acqui-home.pl
2. Test that the "Columns" button works to show and hide columns.
3. Go to Administration -> Table settings and look under the Acquisitions tab for the page 'acq_acqui-home' and the table 'accounts'.
4. Hide each column and make sure it hides correctly on acqui-home.pl
5. Test the export options (Excel, CSV, etc) and make sure hidden columns do not show up.
6. Make sure the totals at the bottom of the screen can still be calculated
Comment 7 Biblibre Sandboxes 2022-02-17 21:42:49 UTC
Created attachment 130773 [details] [review]
Bug 27212: Add Table configuration to acqui-home.pl accounts table

To test, apply the patch and clear your browser cache

1. Go to acqui-home.pl
2. Test that the "Columns" button works to show and hide columns.
3. Go to Administration -> Table settings and look under the Acquisitions tab for the page 'acq_acqui-home' and the table 'accounts'.
4. Hide each column and make sure it hides correctly on acqui-home.pl
5. Test the export options (Excel, CSV, etc) and make sure hidden columns do not show up.
6. Make sure the totals at the bottom of the screen can still be calculated

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 8 Katrin Fischer 2022-03-27 13:15:50 UTC
This time around,
No regressions found!
Comment 9 Katrin Fischer 2022-03-27 13:16:30 UTC
Created attachment 132274 [details] [review]
Bug 27212: Add Table configuration to acqui-home.pl accounts table

To test, apply the patch and clear your browser cache

1. Go to acqui-home.pl
2. Test that the "Columns" button works to show and hide columns.
3. Go to Administration -> Table settings and look under the Acquisitions tab for the page 'acq_acqui-home' and the table 'accounts'.
4. Hide each column and make sure it hides correctly on acqui-home.pl
5. Test the export options (Excel, CSV, etc) and make sure hidden columns do not show up.
6. Make sure the totals at the bottom of the screen can still be calculated

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Fridolin Somers 2022-04-08 13:52:38 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 11 Caroline Cyr La Rose 2022-06-09 14:54:09 UTC
This doesn't work for me.

I tried on a bywater sandbox, just in case it was my installation that was the problem, and it's not working.

Test plan :
1) Go to Acquisitions
--> Notice the 'All available funds' table doesn't have a 'Columns' button
2) Go to Administration > Table settings > Acquisitions and find the accounts table
3) Check 'Is hidden by default' on 'owner' and 'library'
4) Click 'Save'
5) Go back to Acquisitions, refresh the page if needed (Ctrl+F5)
--> Notice the Owner and Library columns are still there
Comment 12 Katrin Fischer 2022-06-09 19:17:24 UTC
(In reply to Caroline Cyr La Rose from comment #11)
> This doesn't work for me.
> 
> I tried on a bywater sandbox, just in case it was my installation that was
> the problem, and it's not working.
> 
> Test plan :
> 1) Go to Acquisitions
> --> Notice the 'All available funds' table doesn't have a 'Columns' button
> 2) Go to Administration > Table settings > Acquisitions and find the
> accounts table
> 3) Check 'Is hidden by default' on 'owner' and 'library'
> 4) Click 'Save'
> 5) Go back to Acquisitions, refresh the page if needed (Ctrl+F5)
> --> Notice the Owner and Library columns are still there

Hi Caroline, I saw the interaction in IRC earlier, but rule of thumb is never to reopen a bug that has been pushed and released - could you file a new bug instad and link them? We also need this to have proper release notes later for the fix.
Comment 13 Caroline Cyr La Rose 2022-06-09 19:41:24 UTC
I opened bug 30938 and copy pasted my comment.
Comment 14 Lucas Gass 2022-06-10 17:07:13 UTC
Thanks for opening Bug 30938 Caroline. I am re-closing this one.